_BondExpr Union Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
_BondExpr Union Reference

`#include <openbabel/parsmart.h>`

List of all members.

## Public Attributes
int | type
struct {
int type
int prop
int value
} | leaf
struct {
int type
union _BondExpr * arg
} | mon
struct {
int type
union _BondExpr * lft
union _BondExpr * rgt
} | bin

## Detailed Description

An internal (SMARTS parser) bond expression.

## Member Data Documentation

int type

Referenced by OpenBabel::BuildBondBin(), OpenBabel::BuildBondLeaf(), OpenBabel::BuildBondNot(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), OpenBabel::FreeBondExpr(), and OpenBabel::GetExprOrder().

int prop

Referenced by OpenBabel::BuildBondLeaf(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), and OpenBabel::GetExprOrder().

int value

Referenced by OpenBabel::BuildBondLeaf(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), and OpenBabel::GetExprOrder().

struct { ... } leaf

Referenced by OpenBabel::BuildBondLeaf(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), and OpenBabel::GetExprOrder().

union _BondExpr* arg

Referenced by OpenBabel::BuildBondNot(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), and OpenBabel::FreeBondExpr().

struct { ... } mon

Referenced by OpenBabel::BuildBondNot(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), and OpenBabel::FreeBondExpr().

union _BondExpr* lft

Referenced by OpenBabel::BuildBondBin(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), OpenBabel::FreeBondExpr(), and OpenBabel::GetExprOrder().

union _BondExpr* rgt

Referenced by OpenBabel::BuildBondBin(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), OpenBabel::FreeBondExpr(), and OpenBabel::GetExprOrder().

struct { ... } bin

Referenced by OpenBabel::BuildBondBin(), OpenBabel::CopyBondExpr(), OpenBabel::EquivalentBondExpr(), OBSmartsMatcher::EvalBondExpr(), OpenBabel::FreeBondExpr(), and OpenBabel::GetExprOrder().

The documentation for this union was generated from the following file:

- parsmart.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines